%define srcname snowball
%define	pkgname	libstemmer
%define	pkgrel	584
%define	pkgver	svn%{pkgrel}
%define	soversion	0d

Name:		%{pkgname}%{soversion}
Version:	0.0.%{pkgrel}
Release:	2.1
Summary:	Snowball / libstemmer
Group:		System
Url:		http://snowball.tartarus.org/
License:	BSD
Source0:	%{srcname}-%{pkgver}.tar.bz2
Source1:	libstemmer.ver
Source2:	stemwords.1
Patch0:		build-options.diff
Patch1:		shared-library.diff

BuildRoot:	%{_tmppath}/%{name}-%{version}

%description
See http://snowball.tartarus.org/texts/quickintro.html

%package -n %{pkgname}-devel
Group:		Development
Summary:	Devel files for %{pkgname}
Requires:       %{pkgname}%{soversion} = %{version}-%{release}

%description -n %{pkgname}-devel
See http://snowball.tartarus.org/texts/quickintro.html

%package -n %{pkgname}-tools
Group:		System
Summary:	Tools fro %{pkgname}
Requires:	%{pkgname}%{soversion} = %{version}-%{release}

%description -n %{pkgname}-tools
See http://snowball.tartarus.org/texts/quickintro.html


%prep
%setup -n %{srcname}
cp %{S:1} .
cp %{S:2} .
%patch0 -p1
%patch1 -p0

%build
%__make

%install
##%__make DESTDIR=%{buildroot} install
%__install -D -m0644 include/libstemmer.h %{buildroot}%{_includedir}/libstemmer.h
%__install -D -m0755 stemwords %{buildroot}%{_bindir}/stemwords
%__install -D -m0644 stemwords.1 %{buildroot}%{_mandir}/man1/stemwords.1
for lib in libstemmer*.so.* libstemmer.a libstemmer.so ; do
%__install -D ${lib} %{buildroot}%{_libdir}/${lib}
done
chmod -x %{buildroot}%{_libdir}/libstemmer.a

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root)
%{_libdir}/libstemmer*.so.*

%files -n %{pkgname}-devel
%defattr(-,root,root)
%{_includedir}/libstemmer.h
%{_libdir}/libstemmer.a
%{_libdir}/libstemmer.so

%files -n %{pkgname}-tools
%defattr(-,root,root)
%{_bindir}/stemwords
%{_mandir}/man1/stemwords.1*

%changelog
* Tue Aug 12 2014 cs@linux-administrator.com
- inital package
